function KK=FCLASS5(Data,lab,Lab_A,Lab_N)
Data_A=Data(:,1:47);
Data_N=Data(:,48:end);
lable_A=lab(:,1:47);%  -1
lable_N=lab(:,48:end);% 1
%
opts=[];  % Lasso Feature selection
opts.nFlag=0; % without normalization
opts.rFlag=1;
parameter_ttest=[0.01 0.02 0.03 0.04 0.05];
parameter_lasso=[0.1:0.1:0.9];
parameter_svm=[-4:1:4];
%
max_acc = 0;
for k1=1:size(parameter_ttest,2)
    param_ttest=parameter_ttest(k1);
    for k2=1:size(parameter_lasso,2)
        param_lasso =parameter_lasso(k2);
        for k3=1:size(parameter_svm,2)
            param_svm= 2^parameter_svm(k3);    %% 
            for i=1:5
                C1train=[Data_A(:,training(Lab_A,i)),Data_N(:,training(Lab_N ,i))];
                C1test=[Data_A(:,test(Lab_A,i)),Data_N(:,test(Lab_N ,i))];
                LTrn=[lable_A(training(Lab_A,i)),lable_N(training(Lab_N,i))];
                LTst=[lable_A(test(Lab_A,i)),lable_N(test(Lab_N,i))];  %% ѵͱǩ
                
                [~,p_val] = ttest2(Data_A(:,training(Lab_A,i))', Data_N(:,training(Lab_N ,i))');
                [ordered_p,ind_p]=sort(p_val);
                mm = length(find(ordered_p<param_ttest));
                if mm == 0
                    C2train = C1train;
                    C2test = C1test;
                else
                    C2train = C1train(ind_p(1:mm),:);
                    C2test = C1test(ind_p(1:mm),:);   %%  t-ȡ
                end
                % LeastR=[];
                [w, ~, ~]= LeastR([C2train' ones(length(LTrn),1)], LTrn', param_lasso, opts);
                idx_LR = find(abs(w(1:end-1))>0); %%  LeastR-ȡ
                if ~isempty(idx_LR)
                    Ctrain =C2train(idx_LR,:);
                    Ctest=C2test(idx_LR,:);
                else
                    Ctrain =C2train;
                    Ctest=C2test;
                end
                str = ['-t 0 -q -c ' num2str(param_svm)];
                model = svmtrain(LTrn',Ctrain',str);  %svmtrain()ѸΪsvmtrain()
                [model_lab, accuracy_test, score] = svmpredict(LTst',Ctest',model,'-q');
                accuracy_temp(i)=accuracy_test(1);
            end
            temp2=mean(accuracy_temp);
            if temp2>max_acc
                max_acc=temp2;
                opt_param_ttest =param_ttest;
                opt_param_lasso= param_lasso;
                opt_param_svm= param_svm;
            end
        end
    end
end
KK=[max_acc,opt_param_ttest,opt_param_lasso,opt_param_svm];