function r = Triple(X)
% Returns a triple, the third column is the feature; 
% The first and second columns correspond to the index of the feature in the original matrix.
len = length(X);
r = zeros(len*(len-1)/2,3);
k=1;
for i = 1:len
    for j = 1:len
        if i<j
            r(k,1) = i;
            r(k,2) = j;
            r(k,3) = X(i,j);
            k = k + 1;
        end
    end
end
end